import java.util.concurrent.CyclicBarrier;

public class BarrierExample {
	public void test( ) {
		int id = 1;
		final CyclicBarrier cb = new CyclicBarrier(6, 
			new Runnable() { 
				public void run() {
					System.out.println("Barrier released.");
				} 
			} );

		for (int i = 0; i < 6; i++) {
			new Thread(new BarrierTask(cb, id++)).start();
		}
	}
}
