import java.util.Iterator;
import java.util.Random;
import java.util.concurrent.ConcurrentHashMap;


public class HashMapReplace implements Runnable {
	ConcurrentHashMap<String,String> cMap = new ConcurrentHashMap<String,String>();

	HashMapReplace (ConcurrentHashMap<String,String> cMap) {
		super();
		this.cMap = cMap;
	}
	
	public void run() {
		Iterator<String> i = cMap.keySet().iterator();
		while (i.hasNext()) {
			String s = i.next();
			if (cMap.replace(s, "sold out", "in stock")) {
				System.out.println(s+" back in stock");
			}
			try {
				Thread.sleep(new Random().nextInt(500));
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		}
	}

}
